Summary:	The BSD 4.4 version of make
Name:		pmake
Version:	1.45
Release:	%mkrel 4
Epoch:		1
License:	BSD
Group:		Development/Other

Source0:	http://ftp.debian.org/debian/dists/potato/main/source/devel/%{name}_%{version}-3.2.tar.bz2

Patch0:         pmake-1.45-gcc4.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process.  Details about
how the program should be built are included in the program's
Makefile.  Pmake is a particular version (BSD 4.4) of make.  Pmake
supports some additional syntax which is not in the standard make
program.  Some Berkeley programs have Makefiles written for pmake.

Pmake should be installed on your system so that you will be able to
build programs which require using pmake instead of make.

%prep

%setup -q
%patch0 -p1

%build
make -f Makefile.boot \
        CFLAGS="%optflags \
	-D__COPYRIGHT\(x\)= \
	-D__RCSID\(x\)= \
	-I. \
	-DMACHINE=\\\"mandrake\\\" \
	-DMACHINE_ARCH=\\\"`arch`\\\"" \
	CC=gcc
touch build


%install
install -d %buildroot/%_bindir
install -d %buildroot/%_mandir/man1

install bmake %buildroot/%_bindir/pmake
install -m 755 mkdep %buildroot/%_bindir
install make.1 %buildroot/%_mandir/man1/pmake.1
install mkdep.1 %buildroot/%_mandir/man1

install -d %buildroot/%_datadir/mk
for file in mk/*; do
    install -m 644 $file %buildroot/%_datadir/mk
done

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc PSD.doc/tutorial.ms
%_bindir/*
%dir %_datadir/mk
%_datadir/mk/*
%_mandir/man1/*

%changelog
* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.45-4mdk
- Patch 0 :  Fix Build with gcc4 ( from Fedora )

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.45-3mdk
- rebuild for rpm 4.2

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 1.45-2mdk
- rebuild

* Thu Apr 19 2001 David BAUDENS <baudens@mandrakesoft.com> 1.45-1mdk
- Use pmake from Debian/RedHat (newer and build on PPC)

* Wed Jan 24 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1.34-5mdk
- rebuild with bzip2 source (was .Z, eewww ..).

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1.34-4mdk

- FHS compliance
- More macros

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 2.1.34-3mdk
- rebuild with _mandir macro

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.1.34-2mdk
- Added ppc support

* Mon Oct 25 1999  Jeff Garzik  <jgarzik@pobox.com>
- Import RedHat 6.1 spec and patches
- Update to pmake 2.1.34
- Update RH compat patch
- bzip2 compression for man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setuid root "just in case". See etc/SECURITY in /usr/doc.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Otto Hammersmith <otto@redhat.com>
- fixed bug related to rules to build .a files.

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated spec file

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
